Description

It's not possible to choose any DB connections in the "Database" tab of "New table" dialog, even if there are active connections
available in the "GeoDB Manager". Furthermore, without checking the source code, it seems like that "Database" tab is not
implemented yet, because there are two columns asking to select a table and this is clearly redundant. Instead, I imagine that this tab
should be implemented in the same way of spatial table ("Add layer" dialog, "GeoDB" tab), asking to choose a table on the left and its
fields on the right and with table settings (e.g. SQL restrictions) at the bottom. Maybe, this one could be a feature request. Cheers.

History
#1 - 07/27/2012 04:45 PM - Francisco Puga
- Assignee set to Francisco Puga
- Target version set to 1.12.0-final

#2 - 07/27/2012 04:46 PM - Antonio Falciano
- Assignee deleted (Francisco Puga)
- Target version deleted (1.12.0-final)

UPDATE: After the definition of a new "alphanumeric" DB connection from the "Database" tab of "New table" dialog , I was able to load a table from
PostgreSQL. At this point, I think that it could be useful to be able:
    -  to choose the fields from the table (by checkboxes or a full SQL query), more or less like in "Add layer" dialog, "GeoDB" tab;
    -  to rename tables before loading them directly in a "Table settings" section (similar to "Layer settings" of "Add layer" dialog, "GeoDB" tab), in
manner to don't have to rename them in the Project Manager (more time consuming) and because tables full name (e.g. localhost:5432/TABLENAME
Table:"SCHEMANAME"."TABLENAME" could be quite illegible or meaningless for basic users, while it can be useful to have in the table properties, if
the user want to understand where is the table source.

PS: please, convert this bug in a feature request, because I don't have the right to do it. Thanks.

#3 - 07/27/2012 04:54 PM - Francisco Puga
- File new_postgis_table_choose_db.png added
- Assignee set to Francisco Puga
- Target version set to 1.12.0-final

What is your OS? What build are you using?

In linux it seems good to me. See the attached screenshot.
Steps to reproduce:
1.- Open a View Document
2.- View > New Layer -> Postgis
3. Enter the name (this is just the name on the toc, don't worry about it), and the geometry type
4.- Enter the fields
5.- Choose an existent connection or create a new one. Then choose the schema in the combobox and type the tablename

#4 - 07/27/2012 05:06 PM - Antonio Falciano

Hi Francisco,
maybe there's a misunderstanding because I didn't explain well the issue. The choice of schema works fine to me too.
The issue I reported at the beginning is exclusively related to table documents. For instance, if I have just established a PostGIS connection in the
GeoDB manager, I don't understand why this connection is not available in the "Database" tab of "New table" dialog, even if I want to load only an
alphanumerical table.

I'm testing gvSIG 1.12 RC1 (build 1413) with JRE 1.6.0_21 on Windows Vista.

#5 - 07/27/2012 05:12 PM - Antonio Falciano
- File geodbmanager.png added

I have found the explanation: because the connection are made with two different drivers (see the attachment). In the screenshot it is shown that there
two connections, instead of only one.

#6 - 07/30/2012 04:20 PM - Francisco Puga
- Assignee deleted (Francisco Puga)
- Target version deleted (1.12.0-final)

Hi,

You are right, geometric tables and alphanumeric tables are loaded using different drivers, and this behaviour is very deep in the gvSIG code. I agree
with you on how it should be done, but this can not be accomplished in the short time, and less for this release.

I will keep the bug open, but i will remove the "target version"

#7 - 01/15/2014 12:21 PM - Álvaro Anguix
- Project changed from Application: gvSIG desktop to | gvSIG desktop 1
